Package org.kapott.hbci.manager

# Class MsgGen

java.lang.Object
org.kapott.hbci.manager.MsgGen

public final class MsgGen extends Object

## Constructor Summary

Constructors
Constructor
Description
`MsgGen(InputStream syntaxFileStream)`
`MsgGen(Document syntax)`
< @internal @brief A table of properties set by the user to specify the message to be generated

## Method Summary

Modifier and Type
Method
Description
`MSG`
`generate(String msgName)`
`String`
`get(String key)`
`List<String>`
`getGVParameterNames(String specname)`
`List<String>`
`getGVParameterNames(String gvname, String version)`
`List<String>`
`getGVRestrictionNames(String specname)`
`List<String>`
`getGVRestrictionNames(String gvname, String version)`
`List<String>`
`getGVResultNames(String specname)`
`List<String>`
`getGVResultNames(String gvname, String version)`
`Hashtable<String,List<String>>`
`getLowlevelGVs()`
`Document`
`getSyntax()`
`void`
`reset()`
`void`
`set(String path, String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MsgGen

public MsgGen(Document syntax)
< @internal @brief A table of properties set by the user to specify the message to be generated

### MsgGen

public MsgGen(InputStream syntaxFileStream)

## Method Details

### generate

public MSG generate(String msgName)

Parameters:
  `msgName` - The name (i.e. XML-identifier for a MSGdef-node) of the message to be generated.
Returns:
  A new MSG object representing the generated message.

### set

public void set(String path, String value)

Parameters:
  `path` - The path to the syntax element for which the value is to be set. For more information about paths, see SyntaxElement::SyntaxElement()
  `value` - The new value for the specified element.

### reset

public void reset()

### getSyntax

public Document getSyntax()

Returns:
  The internally used representation of a HBCI syntax description.

### getLowlevelGVs

public Hashtable<String,List<String>> getLowlevelGVs()

### getGVParameterNames

public List<String> getGVParameterNames(String specname)

### getGVParameterNames

public List<String> getGVParameterNames(String gvname, String version)

### getGVResultNames

public List<String> getGVResultNames(String specname)

### getGVResultNames

public List<String> getGVResultNames(String gvname, String version)

### getGVRestrictionNames

public List<String> getGVRestrictionNames(String specname)

### getGVRestrictionNames

public List<String> getGVRestrictionNames(String gvname, String version)

### get

public String get(String key)